# Always prefer setuptools over distutils
from setuptools import setup, find_packages
# To use a consistent encoding
from codecs import open
from os import path

here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.md'), encoding='utf-8') as f:
    desc = f.read()

# Arguments marked as "Required" below must be included for upload to PyPI.
# Fields marked as "Optional" may be commented out.

setup(
    name='action_logger',
    version='1.0.6',
    author='TimeAshore',
    author_email='timeashore@163.com',
    description='Action logger for digital transformer',
    long_description=desc,
    long_description_content_type='text/markdown',
    packages=find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
    install_requires=['aiohttp', 'python-dotenv==0.19.1', 'flask', 'requests']
)


# python setup.py sdist
# python setup.py install
# twine upload dist/*
